Bug 867385 - [abrt]: WARNING: at drivers/net/wireless/iwlwifi/dvm/sta.c:597 iwl_deactivate_station+0x16e/0x1b0 [iwldvm]()
[abrt]: WARNING: at drivers/net/wireless/iwlwifi/dvm/sta.c:597 iwl_deactivate...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:b9e15f1e426c4e3721be32182c3...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 08:03 EDT by Ronald ten Hoope
Modified: 2013-07-04 02:34 EDT (History)
11 users (show)

See Also:
Fixed In Version: kernel-3.6.3-1.fc17.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 02:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald ten Hoope 2012-10-17 08:03:10 EDT
Description of problem:
I only get this message on startup. Afterwards, the wireless connection works fine.

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.1-1.fc17.x86_64 root=UUID=56b75144-ea06-4100-b119-9a12850f87ef ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=uk rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.6.1-1.fc17.x86_64

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/dvm/sta.c:597 iwl_deactivate_station+0x16e/0x1b0 [iwldvm]()
:Hardware name: 4180AW1
:Modules linked in: nfsv4 auth_rpcgss nfs dns_resolver fscache lockd sunrpc ppdev parport_pc parport rfcomm bnep nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables binfmt_misc snd_hda_codec_conexant iTCO_wdt iTCO_vendor_support arc4 fuse iwldvm mac80211 coretemp kvm_intel kvm microcode uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core i2c_i801 videodev media snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm btusb bluetooth lpc_ich mfd_core iwlwifi cfg80211 snd_page_alloc snd_timer e1000e mei thinkpad_acpi snd soundcore rfkill uinput crc32c_intel ghash_clmulni_intel usb_storage firewire_ohci firewire_core crc_itu_t sdhci_pci sdhci mmc_core i915 nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
:Pid: 79, comm: kworker/u:3 Not tainted 3.6.1-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105b84f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105b8aa>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa0525afe>] iwl_deactivate_station+0x16e/0x1b0 [iwldvm]
: [<ffffffffa051c16c>] iwlagn_mac_sta_state+0x1dc/0x330 [iwldvm]
: [<ffffffffa06663c4>] __sta_info_destroy+0x3c4/0x530 [mac80211]
: [<ffffffffa0666791>] sta_info_destroy_addr+0x41/0x70 [mac80211]
: [<ffffffffa0699b00>] ieee80211_destroy_assoc_data+0x30/0x70 [mac80211]
: [<ffffffffa069e77b>] ieee80211_sta_work+0x7bb/0xd30 [mac80211]
: [<ffffffff8108d0f3>] ? update_rq_clock+0x43/0x1a0
: [<ffffffffa06703d9>] ieee80211_iface_work+0x2c9/0x360 [mac80211]
: [<ffffffff81077b17>] process_one_work+0x147/0x4a0
: [<ffffffffa0670110>] ? ieee80211_check_queues+0x100/0x100 [mac80211]
: [<ffffffff8107987e>] worker_thread+0x15e/0x480
: [<ffffffff81079720>] ? manage_workers+0x2f0/0x2f0
: [<ffffffff8107ec43>] kthread+0x93/0xa0
: [<ffffffff81623784>] kernel_thread_helper+0x4/0x10
: [<ffffffff8107ebb0>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff81623780>] ? gs_change+0x13/0x13
Comment 1 John W. Linville 2012-10-17 16:09:40 EDT
Does it happen every time?
Comment 2 Ronald ten Hoope 2012-10-18 05:26:44 EDT
(In reply to comment #1)
> Does it happen every time?

It happens at least when I boot.
Then a few minutes later again. Then press ignore and messages stop. 
Wifi connection works fine though. I'll test again tonight, am at a different lt now.
Comment 3 Stanislaw Gruszka 2012-10-25 08:08:32 EDT
Can you still reproduce with latest kernel update to 3.6.3:
http://koji.fedoraproject.org/koji/buildinfo?buildID=361634
Comment 4 Ronald ten Hoope 2012-10-30 15:31:43 EDT
I've updated the kernel recently to  3.6.3-1.fc17.x86_64
The problem hasn't occurred since.

Thanks for your time.

kind regards,
Ronald ten Hoope
Comment 5 Karel Volný 2013-01-12 08:13:55 EST
I've just got this problem after waking up the machine from sleep, and abrt thinks it is duplicate of this bug, so reopening ...

# uname -r
3.6.11-1.fc17.x86_64
Comment 6 Karel Volný 2013-01-14 18:15:47 EST
here's part of messages from another crash; this time abrt refused to report it saying something about tainted kernel ...


Jan 13 23:04:51 kvolny dhclient[14368]: DHCPREQUEST on wlan0 to 192.168.1.1 port 67 (xid=0x492a1303)
Jan 13 23:04:51 kvolny dhclient[14368]: DHCPACK from 192.168.1.1 (xid=0x492a1303)
Jan 13 23:04:51 kvolny dhclient[14368]: bound to 192.168.1.101 -- renewal in 2838 seconds.
Jan 13 23:04:51 kvolny NetworkManager[720]: <info> (wlan0): DHCPv4 state changed renew -> renew
Jan 13 23:04:51 kvolny NetworkManager[720]: <info>   address 192.168.1.101
Jan 13 23:04:51 kvolny NetworkManager[720]: <info>   prefix 24 (255.255.255.0)
Jan 13 23:04:51 kvolny NetworkManager[720]: <info>   gateway 192.168.1.1
Jan 13 23:04:51 kvolny NetworkManager[720]: <info>   nameserver '83.240.0.214'
Jan 13 23:04:51 kvolny NetworkManager[720]: <info>   nameserver '83.240.0.215'
Jan 13 23:04:51 kvolny dbus[763]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jan 13 23:04:51 kvolny dbus-daemon[763]: dbus[763]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jan 13 23:04:51 kvolny dbus-daemon[763]: dbus[763]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jan 13 23:04:51 kvolny dbus[763]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jan 13 23:26:44 kvolny NetworkManager[720]: <info> (wlan0): device state change: activated -> disconnected (reason 'user-requested') [100 30 39]
Jan 13 23:26:44 kvolny NetworkManager[720]: <info> (wlan0): deactivating device (reason 'user-requested') [39]
Jan 13 23:26:44 kvolny NetworkManager[720]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 14368
Jan 13 23:26:44 kvolny kernel: [148593.261577] wlan0: deauthenticating from d8:5d:4c:aa:2b:08 by local choice (reason=3)
Jan 13 23:26:46 kvolny kernel: [148595.258817] iwlwifi 0000:03:00.0: fail to flush all tx fifo queues
Jan 13 23:26:48 kvolny kernel: [148597.255812] iwlwifi 0000:03:00.0: fail to flush all tx fifo queues
Jan 13 23:26:48 kvolny kernel: [148597.277097] ------------[ cut here ]------------
Jan 13 23:26:48 kvolny kernel: [148597.277119] WARNING: at drivers/net/wireless/iwlwifi/dvm/tx.c:1187 iwlagn_rx_reply_tx+0x9b6/0x9f0 [iwldvm]()
Jan 13 23:26:48 kvolny kernel: [148597.277121] Hardware name: 4384BR2
Jan 13 23:26:48 kvolny kernel: [148597.277121] Modules linked in: lockd sunrpc rfcomm bnep nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt
_state nf_conntrack ip6table_filter ip6_tables arc4 snd_hda_codec_hdmi iwldvm mac80211 snd_hda_codec_conexant snd_hda_intel uvcvideo snd_hda_codec videobuf2_vmalloc snd_hw
dep videobuf2_memops iwlwifi snd_seq videobuf2_core videodev snd_seq_device snd_pcm snd_page_alloc cfg80211 snd_timer media thinkpad_acpi btusb bluetooth e1000e iTCO_wdt i
TCO_vendor_support lpc_ich intel_ips snd rfkill mei soundcore mfd_core coretemp microcode i2c_i801 vhost_net tun macvtap macvlan kvm_intel kvm uinput binfmt_misc xts gf128
mul dm_crypt crc32c_intel ghash_clmulni_intel sdhci_pci firewire_ohci sdhci firewire_core mmc_core crc_itu_t mxm_wmi wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_cor
e
Jan 13 23:26:48 kvolny kernel: [148597.277166] Pid: 1323, comm: seamonkey Tainted: G        W    3.6.11-1.fc17.x86_64 #1
Jan 13 23:26:48 kvolny kernel: [148597.277167] Call Trace:
Jan 13 23:26:48 kvolny kernel: [148597.277168]  <IRQ>  [<ffffffff8105c8ef>] warn_slowpath_common+0x7f/0xc0
Jan 13 23:26:48 kvolny kernel: [148597.277176]  [<ffffffff8105c94a>] warn_slowpath_null+0x1a/0x20
Jan 13 23:26:48 kvolny kernel: [148597.277180]  [<ffffffffa05253c6>] iwlagn_rx_reply_tx+0x9b6/0x9f0 [iwldvm]
Jan 13 23:26:48 kvolny kernel: [148597.277185]  [<ffffffffa03e7265>] ? iwl_release_nic_access+0x35/0x40 [iwlwifi]
Jan 13 23:26:48 kvolny kernel: [148597.277190]  [<ffffffffa052f193>] iwl_rx_dispatch+0xa3/0x110 [iwldvm]
Jan 13 23:26:48 kvolny kernel: [148597.277193]  [<ffffffffa03ebfa8>] iwl_irq_tasklet+0x7e8/0xba0 [iwlwifi]
Jan 13 23:26:48 kvolny kernel: [148597.277197]  [<ffffffff81065a53>] tasklet_action+0x63/0xd0
Jan 13 23:26:48 kvolny kernel: [148597.277199]  [<ffffffff810654c0>] __do_softirq+0xd0/0x210
Jan 13 23:26:48 kvolny kernel: [148597.277202]  [<ffffffff8101b933>] ? native_sched_clock+0x13/0x80
Jan 13 23:26:48 kvolny kernel: [148597.277206]  [<ffffffff816284bc>] call_softirq+0x1c/0x30
Jan 13 23:26:48 kvolny kernel: [148597.277209]  [<ffffffff81016205>] do_softirq+0x75/0xb0
Jan 13 23:26:48 kvolny kernel: [148597.277210]  [<ffffffff810658b5>] irq_exit+0xb5/0xc0
Jan 13 23:26:48 kvolny kernel: [148597.277212]  [<ffffffff81628d13>] do_IRQ+0x63/0xe0
Jan 13 23:26:48 kvolny kernel: [148597.277215]  [<ffffffff8161f5ea>] common_interrupt+0x6a/0x6a
Jan 13 23:26:48 kvolny kernel: [148597.277215]  <EOI>  [<ffffffff811d69a5>] ? eventfd_ctx_read+0xb5/0x190
Jan 13 23:26:48 kvolny kernel: [148597.277220]  [<ffffffff811d6948>] ? eventfd_ctx_read+0x58/0x190
Jan 13 23:26:48 kvolny kernel: [148597.277222]  [<ffffffff81092460>] ? try_to_wake_up+0x2c0/0x2c0
Jan 13 23:26:48 kvolny kernel: [148597.277224]  [<ffffffff811d6abd>] eventfd_read+0x3d/0x70
Jan 13 23:26:48 kvolny kernel: [148597.277226]  [<ffffffff81190399>] vfs_read+0xa9/0x180
Jan 13 23:26:48 kvolny kernel: [148597.277228]  [<ffffffff811904ba>] sys_read+0x4a/0x90
Jan 13 23:26:48 kvolny kernel: [148597.277230]  [<ffffffff81627329>] system_call_fastpath+0x16/0x1b
Jan 13 23:26:48 kvolny kernel: [148597.277231] ---[ end trace a978a40db8c51208 ]---
Comment 7 Fedora End Of Life 2013-07-04 02:31:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.